org.apache.sling.validation.impl

## Class ResourceToValidationResultAdapterFactory

- java.lang.Object
- - org.apache.sling.validation.impl.ResourceToValidationResultAdapterFactory

All Implemented Interfaces:
  org.apache.sling.api.adapter.AdapterFactory

    public class ResourceToValidationResultAdapterFactory
    extends Object
    implements org.apache.sling.api.adapter.AdapterFactory

### Field Summary

### Fields inherited from interface org.apache.sling.api.adapter.AdapterFactory

`ADAPTABLE_CLASSES, ADAPTER_CLASSES, SERVICE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`ResourceToValidationResultAdapterFactory()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`<AdapterType> AdapterType` `getAdapter(Object adaptable, Class<AdapterType> type)`
`static void` `putValidationResultToCache(org.apache.sling.validation.ValidationResult validationResult, org.apache.sling.api.resource.Resource resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceToValidationResultAdapterFactory

    public ResourceToValidationResultAdapterFactory()

### Method Detail

#### getAdapter

    public <AdapterType> AdapterType getAdapter(Object adaptable,
                                                Class<AdapterType> type)

Specified by:
  `getAdapter` in interface `org.apache.sling.api.adapter.AdapterFactory`

#### putValidationResultToCache

    public static void putValidationResultToCache(org.apache.sling.validation.ValidationResult validationResult,
                                                  org.apache.sling.api.resource.Resource resource)